package sgc.portal.cw.cw0702.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0702.dto.CW07020001USearch;
import sgc.portal.cw.cw0702.model.CW07020001U;

import java.util.List;

@Mapper
public interface CW07020001UMapper {
	
	//잉여 자재(비품)정보 공유 (관리자) 조회
    List<EasyHashMap<String, Object>> selectZehrIsExtraMaterialAdmin(CW07020001USearch search);
    
    //잉여 자재(비품)정보 공유 (관리자) 추가 삭제 수정
    int insertZehrIsExtraMaterialAdmin(CW07020001U cW07020001U);
    int updateZehrIsExtraMaterialAdmin(CW07020001U cW07020001U);
    int deleteZehrIsExtraMaterialAdmin(CW07020001U cW07020001U);
    
    int deleteZehrIsExtraMaterialAtchfileIdAdmin(CW07020001U cW07020001U);
    int selectAtchfileIdAdminCount(CW07020001U cW07020001U);
}